<div class="container">
  <div class="main">
    <div class="plan" *ngIf="activePlan as plan">
      <form [formGroup]="planForm">
        <h1>{{ plan.name }}</h1>
        <p-inplace closable="true">
          <ng-template pTemplate="display">
            <div [innerHtml]="plan.description"></div>
          </ng-template>
          <ng-template pTemplate="content">
            <p-editor
              formControlName="description"
              [style]="{ height: '320px' }"
            ></p-editor>
            <p-button
              icon="pi pi-pencil"
              label="Guardar"
              (onClick)="save()"
              *ngIf="planForm.touched"
            ></p-button>
          </ng-template>
        </p-inplace>
      </form>
      <br />

      <app-plan-weeks [plan]="plan"></app-plan-weeks>
    </div>
    <ng-template #noPlan> No se ha podido cargar el plan </ng-template>
    <p-toast></p-toast>
  </div>
  <div class="case" [class.open]="displayCase">
    <button
      pButton
      pRipple
      type="button"
      icon="pi pi-chevron-left"
      class="p-button-rounded p-button-text"
      (click)="displayCase = true"
      *ngIf="!displayCase"
    ></button>
    <button
      pButton
      pRipple
      type="button"
      icon="pi pi-chevron-right"
      class="p-button-rounded p-button-text close-button"
      (click)="displayCase = false"
      *ngIf="displayCase"
    ></button>

    <div class="plan" *ngIf="activePlan as plan">
      <app-search-case
        [hidden]="!displayCase"
        [caseDocumentId]="plan.caseDocumentId"
        [rootItemUri]="plan.caseDocumentRootUri"
        [activePlanId]="plan.id"
      ></app-search-case>
    </div>
  </div>
</div>
